# UI utilities for Pythonista (iOS app)

Repository of small UI and other utilities, install with:

    pip install ui3

Included:

- anchor - more natural and responsive UI layout creation with anchoring and docking instead of pixel placement
- gestures - Pythonic wrapper around iOS gestures (tap, long press, pinch etc.)
- gridview - places subviews in grid that is optimized to show as even rectangles as possible
- menu - wrapper for iOS 14 button pop-up menus
- [richlabel](docs/richlabel.md) - use markup to create fancier labels
- safearea - avoids edges on iPhones
- scripter - generator-driven UI animations
- sfsymbol - use Apple SFSymbols as icon images, repository root includes an icon browser
- [vector](docs/vector.md) - vector class for easier UI calculations
- wkwebview - wrapper for WKWebView, to replace legacy ui.WebView
